%define	major 2
%define apiver 2.4
%define libname %mklibname %{name} %{apiver} %{major}
%define develname %mklibname %{name} -d

%define build_mono 1

%ifarch %mips %arm
%define build_mono 0
%endif

%define _gtkdocdir	%{_datadir}/gtk-doc/html
%{expand:%%define _aclocaldir %(aclocal --print-ac-dir 2>/dev/null)}

%define _requires_exceptions libgmime
Summary:		The libGMIME library
Name:			gmime
Version:		2.4.10
Release:		%mkrel 1
License:		LGPLv2+
Group:			System/Libraries
URL:			http://spruce.sourceforge.net/gmime
Source0:		http://ftp.gnome.org/pub/GNOME/sources/%name/%{name}-%{version}.tar.bz2
Patch: gmime-2.4.3-format-strings.patch
BuildRequires:		glib2-devel
BuildRequires:		gtk-doc
BuildRequires:		libz-devel
%if %{build_mono}
BuildRequires:		mono-devel
BuildRequires:		gtk-sharp2-devel
BuildRequires:		gtk-sharp2
%endif
Buildroot:		%{_tmppath}/%{name}-%{version}-buildroot

%description
This library allows you to manipulate MIME messages.

%package -n %{name}-utils
Summary:	Utilities using the libGMIME library
Group:		File tools
Requires:	%{libname} = %{version}-%{release}

%description -n %{name}-utils
This package contains gmime-uudecode and gmime-uuencode and will 
allow you to manipulate MIME messages. These utilities can also be
used instead of uudecode and uuencode from the sharutils package. 

%package -n %{libname}
Summary:	The libGMIME library
Group:		System/Libraries
Obsoletes:	%mklibname %{name} 2.0
Provides:	%mklibname %{name} 2.0
Provides:	lib%{name} = %{version}-%{release}

%description -n %{libname}
This library allows you to manipulate MIME messages.

%package -n %{develname}
Summary:	Development library and header files for the lib%{name} library
Group:		Development/C
Provides:	lib%{name}-devel
Provides:	%{name}-devel
Requires:	%{libname} = %{version}-%{release}
Obsoletes:	%mklibname %{name} 2.0 -d
Provides:	%mklibname %{name} 2.0 -d

%description -n %{develname}
This package contains the lib%{name} development library and its header files.

%if %{build_mono}
%package sharp
Summary:	GMIME# bindings for mono
Group:		System/Libraries
Requires:	%{libname} = %{version}-%{release}

%description sharp
This library allows you to manipulate MIME messages.
%endif

%prep

%setup -q
%patch -p1

%build

%configure2_5x \
	--with-html-dir=%{_gtkdocdir} \
	--enable-gtk-doc

#gw parallel build broken in 2.1.15
# (tpg) mono stuff doesn't like parallel build, this solves it
%(echo %make|perl -pe 's/-j\d+/-j1/g')

%check
make check

%install
[ -n "%{buildroot}" -a "%{buildroot}" != / ] && rm -rf %{buildroot}

%makeinstall_std

# these are provided by sharutils, gotta rename them...
mv %{buildroot}%{_bindir}/uudecode %{buildroot}%{_bindir}/gmime-uudecode
mv %{buildroot}%{_bindir}/uuencode %{buildroot}%{_bindir}/gmime-uuencode

# cleanup
rm -f %{buildroot}%{_libdir}/gmimeConf.sh


%if %mdkversion < 200900
%post -n %{libname} -p /sbin/ldconfig
%endif

%if %mdkversion < 200900
%postun -n %{libname} -p /sbin/ldconfig
%endif

%clean
[ -n "%{buildroot}" -a "%{buildroot}" != / ] && rm -rf %{buildroot}

%files -n %{name}-utils
%defattr(-,root,root)
%{_bindir}/gmime-uudecode
%{_bindir}/gmime-uuencode

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/lib*%{apiver}.so.%{major}*

%files -n %{develname}
%defattr(-,root,root)
%doc AUTHORS ChangeLog PORTING README TODO
%{_libdir}/lib*.a
%{_libdir}/lib*.so
%{_libdir}/lib*.la
%{_libdir}/pkgconfig/gmime-%{apiver}.pc
%{_includedir}/*
%doc %{_gtkdocdir}/*

%if %{build_mono}
%files sharp
%defattr(-,root,root)
%{_prefix}/lib/mono/gac/%{name}-sharp
%{_prefix}/lib/mono/%{name}-sharp-%{apiver}
%{_libdir}/pkgconfig/%{name}-sharp-%{apiver}.pc
%endif


%changelog
* Mon Oct 12 2009 Götz Waschk <waschk@mandriva.org> 2.4.10-1mdv2010.0
+ Revision: 456737
- update to new version 2.4.10

* Fri Sep 25 2009 Olivier Blin <oblin@mandriva.com> 2.4.9-2mdv2010.0
+ Revision: 448961
- disable mono on mips (from Arnaud Patard) and arm

* Thu Sep 03 2009 Götz Waschk <waschk@mandriva.org> 2.4.9-1mdv2010.0
+ Revision: 428334
- update to new version 2.4.9

* Wed Aug 12 2009 Götz Waschk <waschk@mandriva.org> 2.4.8-1mdv2010.0
+ Revision: 415708
- update to new version 2.4.8

* Mon Apr 27 2009 Götz Waschk <waschk@mandriva.org> 2.4.7-1mdv2010.0
+ Revision: 369069
- update to new version 2.4.7
- fix source URL
- new version
- new api
- fix format strings
- update file list
- revert to 2.2

  + mandrake <mandrake@mandriva.com>
    - %repsys markrelease
      version: 2.2.23
      release: 1mdv2009.0
      revision: 284737
      Copying 2.2.23-1mdv2009.0 to releases/ directory.

* Sun Sep 14 2008 Götz Waschk <waschk@mandriva.org> 2.2.23-1mdv2009.0
+ Revision: 284737
- new version

* Sun Jul 20 2008 Götz Waschk <waschk@mandriva.org> 2.2.22-1mdv2009.0
+ Revision: 239061
- new version

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Sat May 24 2008 Götz Waschk <waschk@mandriva.org> 2.2.21-1mdv2009.0
+ Revision: 210953
- new version

* Mon May 19 2008 Götz Waschk <waschk@mandriva.org> 2.2.20-1mdv2009.0
+ Revision: 208892
- new version

* Sun May 04 2008 Götz Waschk <waschk@mandriva.org> 2.2.19-1mdv2009.0
+ Revision: 201158
- new version

* Sun Mar 16 2008 Götz Waschk <waschk@mandriva.org> 2.2.18-1mdv2008.1
+ Revision: 188191
- new version

* Sun Feb 10 2008 Götz Waschk <waschk@mandriva.org> 2.2.17-1mdv2008.1
+ Revision: 164912
- new version

* Mon Feb 04 2008 Götz Waschk <waschk@mandriva.org> 2.2.16-1mdv2008.1
+ Revision: 161914
- new version

* Wed Jan 02 2008 Götz Waschk <waschk@mandriva.org> 2.2.15-1mdv2008.1
+ Revision: 140854
- new version

* Wed Jan 02 2008 Götz Waschk <waschk@mandriva.org> 2.2.14-1mdv2008.1
+ Revision: 140190
- new version

* Tue Jan 01 2008 Götz Waschk <waschk@mandriva.org> 2.2.13-1mdv2008.1
+ Revision: 140062
- new version

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Sun Dec 16 2007 Götz Waschk <waschk@mandriva.org> 2.2.12-1mdv2008.1
+ Revision: 120714
- new version

* Tue Nov 13 2007 Götz Waschk <waschk@mandriva.org> 2.2.11-1mdv2008.1
+ Revision: 108526
- new version

* Fri Nov 02 2007 Götz Waschk <waschk@mandriva.org> 2.2.10-4mdv2008.1
+ Revision: 105204
- really fix gmime-sharp deps

* Fri Nov 02 2007 Götz Waschk <waschk@mandriva.org> 2.2.10-3mdv2008.1
+ Revision: 105174
- fix deps of the sharp package

* Fri Nov 02 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 2.2.10-2mdv2008.1
+ Revision: 105104
- fix obsoletes and provides for main library

* Thu Nov 01 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 2.2.10-1mdv2008.1
+ Revision: 104694
- correct libification (wrong major)
- make use of %%major in file list
- remove buildrequires on auto* stuff
- add necessary provides/obsoletes
- use perl hack for parallel build
- fix file list
- new license policy
- new devel library policy
- fix mixture of tabs and spaces

* Fri Jul 20 2007 Götz Waschk <waschk@mandriva.org> 2.2.10-1mdv2008.0
+ Revision: 53771
- new version
- fix buildrequires

* Tue May 22 2007 Götz Waschk <waschk@mandriva.org> 2.2.9-1mdv2008.0
+ Revision: 29630
- new version
- drop build dep on libunicode-devel

* Fri Apr 27 2007 Götz Waschk <waschk@mandriva.org> 2.2.8-1mdv2008.0
+ Revision: 18481
- new version


* Wed Mar 28 2007 Götz Waschk <waschk@mandriva.org> 2.2.6-1mdv2007.1
+ Revision: 149087
- new version
- enable checks
- Import gmime

* Thu Aug 03 2006 Götz Waschk <waschk@mandriva.org> 2.2.3-1mdv2007.0
- New release 2.2.3

* Tue Apr 18 2006 Gtz Waschk <waschk@mandriva.org> 2.2.1-1mdk
- add mono bindings
- new URL
- new version

* Mon Jan 23 2006 Götz Waschk <waschk@mandriva.org> 2.1.19-1mdk
- New release 2.1.19

* Mon Jan 09 2006 Götz Waschk <waschk@mandriva.org> 2.1.17-1mdk
- New release 2.1.17
- use mkrel

* Fri Oct 07 2005 Götz Waschk <waschk@mandriva.org> 2.1.16-1mdk
- New release 2.1.16

* Wed Jul 13 2005 Gtz Waschk <waschk@mandriva.org> 2.1.15-1mdk
- enable gtk-doc
- New release 2.1.15

* Sat Apr 30 2005 Gtz Waschk <waschk@mandriva.org> 2.1.14-2mdk
- add provides to the lib package

* Tue Apr 19 2005 Götz Waschk <waschk@linux-mandrake.com> 2.1.14-1mdk
- New release 2.1.14

* Fri Feb 25 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 2.1.11-2mdk 
- Fix gtk-doc localisation
- multiarch

* Thu Feb 17 2005 Götz Waschk <waschk@linux-mandrake.com> 2.1.11-1mdk
- New release 2.1.11

* Fri Jan 21 2005 Gtz Waschk <waschk@linux-mandrake.com> 2.1.10-1mdk
- disable mono
- New release 2.1.10

* Tue Nov 09 2004 Jerome Soyer <saispo@mandrake.org> 2.1.9-1mdk
- 2.1.9

* Mon Aug 02 2004 Christiaan Welvaart <cjw@daneel.dyndns.org> 2.1.7-2mdk
- add BuildRequires: libz-devel
- remove BuildRequires: libtool (required by rpmbuild)

* Wed Jul 21 2004 Pascal Terjan <pterjan@mandrake.org> 2.1.7-1mdk
- 2.1.7

* Mon May 17 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 2.1.5-1mdk
- 2.1.5
- merge the static-devel sub package into the devel sub package
- fix deps

